import moment from "jalali-moment";

export const numberToArStyle = (num) => num.toLocaleString("ar-AE");

export const isActiveURL = (link, name) => link === name;

export const convertToJalali = (date) => {
  // Get the current Gregorian date
  const currentDate = date;

  // Convert the Gregorian date to Jalali date
  const jalaliDate = moment(currentDate).format("jYYYY/jM/jD");

  // Get Jalali year, month, and day
  const jalaliYear = moment(jalaliDate, "jYYYY/jM/jD").jYear();
  const jalaliMonth = moment(jalaliDate, "jYYYY/jM/jD").jMonth() + 1; // Note: jalali-moment months are zero-based
  const jalaliDay = moment(jalaliDate, "jYYYY/jM/jD").jDate();

  return `${jalaliYear}/${jalaliMonth}/${jalaliDay}`;
};

export const handleTwoLength = (value) =>
  String(value).length === 1 ? `0${value}` : value;

export const checkAllValues = (data) => {
  for (let key in data) {
    if (typeof data[key] === "object" && data[key] !== null) {
      if ("value" in data[key]) {
        if (!data[key].value) {
          console.log(false);
          return false;
        }
      } else {
        if (!checkAllValues(data[key])) {
          console.log(false);
          return false;
        }
      }
    }
  }
  console.log(true);
  return true;
};
